Subject: Re: [PATCH] Powerpc 8xx CPM_UART delay in receive

From: Alan Cox <[email-masked]>
Date: Tue, 14 Aug 2012 15:52:27 +0100

On Tue, 14 Aug 2012 16:26:28 +0200
Christophe Leroy <[email-masked]> wrote:

> Hello,
> 
> I'm not sure who to address this Patch to either
> 
> It fixes a delay issue with CPM UART driver on Powerpc MPC8xx.
> The problem is that with the actual code, the driver waits 32 IDLE patterns before returning the received data to the upper level. It means for instance about 1 second at 300 bauds.
> This fix limits to one byte the waiting period.

Take a look how the 8250 does it - I think you want to set the value
based upon the data rate. Your patch will break it for everyone doing
high seed I/O.

Alan